Create Bulk Cards with individual details V2

This web service allows to create cards in bulk when given individual details for card and delivery information. Bank will use this api to create bulk cards in advance and print it through manufacturer.


Customer when requires an instant card, bank will create account, customer and link to card.

For linking the card with new customer, use API: /pws/v2/pws_link_card_acc

Version 2 create bulk cards api supports idempotency:

  • If the previous api request was a success and the client sends the same api_unique_identifier, then the previous response will be returned.
  • If the previous request fails and the client send the sameapi_unique_identifier, then the new create bulk card request will be processed with the incoming API parameters.

Body Params
string
required
length between 1 and 40

Unique number that must be passed at each API request. Identifier to make each API request unique

int32
required
≥ 1

Card product id (Need to input correct product id for your card so it will inherit full required properties and be fully linked with business.)

int32
required
≥ 1

Unique identifier for the client which Paymentology will provide at outset

individual_card_details
array of objects
required

List containing Individual card details of each card to be created in bulk

individual_card_details*
int32
enum
required
≤ 32767

Status network :

  • 1000: Fully operational DE39=00
  • 1001: Refer to issuer DE39=01
  • 1004: Capture card DE39=04
  • 1005: Decline all transactions DE39=05
  • 1008: Honour with ID DE39=08
  • 1041: Lost card - capture DE39=41
  • 1043: Stolen card - capture DE39=43
  • 1054: Expired card - report DE39=54
  • 1154: Expire card - don't inform
  • 1062: Restricted card
  • 1199: Void card - report DE39=05
Allowed:
int32
required
1 to 1000

Total number of cards to be created

string
length between 0 and 50

User Id of the Customer who triggered the API request.

string
length between 0 and 200

Remarks for API request

string
length between 1 and 1
^[0-2]{1}$

Authorization Type - If not provided, default value is taken from product level

  • 0 : Internal
  • 1 : External
  • 2 : Notification

.

int32

Card manufacturer id - If not provided in request, default value is taken from product level).

string
\d{4}-\d{2}-\d{2}\s+\d{2}:\d{2}:\d{2}

Expiry Date, accepted format yyyy-mm-dd hh:mm:ss.
If not provided, default expiry from product is inherited.

string
length between 5 and 5
^[0-1]{5}$

Configuration for sensitive data

PositionFieldDescription
1RFUReserved for future
2CVVset 0 - to send CVV value 000 in card file set 1 - to send actual CVV value in card file
3RFUReserved for future
4RFUReserved for future
5Emboss Name0 : Lower case, 1 : Upper case

Eg : 01001 - Means show CVV and save emboss name as uppercase. If nothing is sent on parameter, default value will be 11111.

string
length between 0 and 32
^[0-1]{0,32}$

Unable to render content

Page content is not renderable with the MDXish renderer

Responses

404

Webservices does not exist

500

Internal Server error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json